Bug 199464 - LowPerformance took 126647 ms.
LowPerformance took 126647 ms.
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
All All
: P2 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 13:59 UTC by Alexander Simon
Modified: 2011-07-12 13:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (1.13 MB, application/nps)
2011-06-16 13:59 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-06-16 13:59:08 UTC
This bug was originally marked as duplicate of bug 179763, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 20110616-d40cd1807b54)
VM: Java HotSpot(TM) Client VM, 20.0-b11, Java(TM) SE Runtime Environment, 1.6.0_25-b06
OS: SunOS

User Comments:
alexvsimon: open project



Maximum slowness yet reported was 126647 ms, average is 126647
Comment 1 Alexander Simon 2011-06-16 13:59:35 UTC
Created attachment 108927 [details]
nps snapshot
Comment 2 Alexander Simon 2011-06-16 14:40:15 UTC
Regression after fixing Bug #199230
Comment 3 Alexander Simon 2011-06-16 15:34:26 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/00dc65b1785e
Comment 4 Alexander Simon 2011-06-16 20:18:06 UTC
fix second problem:
http://hg.netbeans.org/cnd-main/rev/5ed1a42f4eb6
Comment 5 Alexander Simon 2011-06-17 08:01:45 UTC
vv159170: Please review fix.
apepin: Please verify fix.
Comment 6 Alexander Simon 2011-06-17 10:32:50 UTC
Another problem was fixed in change set:
http://hg.netbeans.org/cnd-main/rev/e59a73dc2ef5
Comment 7 Quality Engineering 2011-06-17 14:40:34 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/00dc65b1785e
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199464 LowPerformance took 126647 ms.
Comment 8 Vladimir Kvashin 2011-06-17 18:37:36 UTC
Additional fix
http://hg.netbeans.org/cnd-main/rev/64d4dd178671
Comment 9 Quality Engineering 2011-06-18 15:11:05 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e59a73dc2ef5
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199464 LowPerformance took 126647 ms.
- additional fix
Comment 10 Vladimir Kvashin 2011-06-20 07:43:58 UTC
More accurate fix 
http://hg.netbeans.org/cnd-main/rev/6e3d11731172
Comment 11 Vladimir Kvashin 2011-06-20 07:45:11 UTC
I reviewed all above mentioned change sets; I believe they all are correct and safe.
Comment 12 Quality Engineering 2011-06-21 16:05:20 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/6e3d11731172
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: more accurate fix for #199464 (LowPerformance) and #199513 (NPE at MakeLogicalViewRootNode)
Comment 13 Alexander Pepin 2011-06-22 12:21:26 UTC
verified in release701_dev build #5647.
Please review the fix and push it into 7.0.1 branch.
Comment 14 Alexander Simon 2011-06-22 13:31:09 UTC
fixed in releases701:
00dc65b1785e transplanted to d4d375779761
5ed1a42f4eb6 transplanted to 5da228c9d0d9
e59a73dc2ef5 transplanted to 78a177b100ca
64d4dd178671 transplanted to a51e921902ac
6e3d11731172 transplanted to 5d76fd67f7b5
Comment 15 Quality Engineering 2011-06-23 04:42:22 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/d4d375779761
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #199464 LowPerformance took 126647 ms.
Comment 16 Alexander Pepin 2011-07-12 13:38:17 UTC
Verified in 7.0.1 build 20110710.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo